Bug 720855 - Backlog: disc icon plus tooltip for save
Backlog: disc icon plus tooltip for save
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 21:33 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-12 21:33:46 EDT
Description of problem:
A separate "saved" diskette-like icon for each message showing the status of "Unsaved change".
 
1) If a change of message (by typing, deleting, pasting) is not yet saved, the "Save" button display normally, and the associate tool tip is "Unsaved" or "Need Save".
2) On the other hand, if the content of editor cell is unchanged since last save, the "Save" button should be inactivate and the tool tip is "Saved".

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT
Comment 1 James Ni 2011-07-13 23:00:29 EDT
I actually want to use that diskette-like icon for save button, and user could click that icon to save, and tool tip is always show the keyboard shortcuts keys as we did for current save button.

1) If a change of message (by typing, deleting, pasting) is not yet saved, or click the fuzzy button in middle column, the diskette-like icon will be active and user can click it to save.

2) If the content of editor cell is unchanged since last save, we use another dark/gray diskette-like icon to indicate that save is inactive and user can not click it to save.
Comment 2 James Ni 2011-07-18 22:53:43 EDT
I have add a diskette-like icon for save button. It is disabled by default, it is only enabled when typing, deleting, clicking the fuzzy checkbox or 'copy src to trans' button in middle column, and copy translation memory to target area.
Comment 3 Ding-Yi Chen 2011-07-19 22:29:00 EDT
Just some trival changes:
1. Tooltip: Instead of "Ctrl-Enter", how about "Save (Ctrl-Enter)".
2. Perhaps we should remove cancel button as well?
Comment 4 James Ni 2011-08-16 05:04:00 EDT
I have add a diskette-like icon for 'Save as Approved' button, a red cross for cancel button and red flag for 'Save as Fuzzy' button. The tooltip is also added to these buttons.
Comment 5 Ding-Yi Chen 2011-10-25 20:28:07 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111025-0954)

Note You need to log in before you can comment on or make changes to this bug.